Commit b646529b authored by Matija Obreza's avatar Matija Obreza
Browse files

Use Java 8

parent 5b94c86e
...@@ -23,14 +23,6 @@ ...@@ -23,14 +23,6 @@
<build> <build>
<plugins> <plugins>
<plugin>
<artifactId>maven-compiler-plugin</artifactId>
<version>3.1</version>
<configuration>
<source>1.6</source>
<target>1.6</target>
</configuration>
</plugin>
<plugin> <plugin>
<groupId>sh.tak.appbundler</groupId> <groupId>sh.tak.appbundler</groupId>
<artifactId>appbundle-maven-plugin</artifactId> <artifactId>appbundle-maven-plugin</artifactId>
...@@ -41,7 +33,7 @@ ...@@ -41,7 +33,7 @@
<dictionaryFile>Info.plist</dictionaryFile> <dictionaryFile>Info.plist</dictionaryFile>
<diskImageInternetEnable>true</diskImageInternetEnable> <diskImageInternetEnable>true</diskImageInternetEnable>
<generateDiskImageFile>true</generateDiskImageFile> <generateDiskImageFile>true</generateDiskImageFile>
<jvmVersion>1.7+</jvmVersion> <jvmVersion>1.8+</jvmVersion>
<jvmOptions> <jvmOptions>
<jvmOption> <jvmOption>
-XstartOnFirstThread -XstartOnFirstThread
......
...@@ -27,7 +27,7 @@ ...@@ -27,7 +27,7 @@
<attribute name="maven.pomderived" value="true"/> <attribute name="maven.pomderived" value="true"/>
</attributes> </attributes>
</classpathentry> </classpathentry>
<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"> <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8">
<attributes> <attributes>
<attribute name="maven.pomderived" value="true"/> <attribute name="maven.pomderived" value="true"/>
</attributes> </attributes>
......
...@@ -11,9 +11,6 @@ ...@@ -11,9 +11,6 @@
<properties> <properties>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding> <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding> <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
<maven.compiler.target>1.6</maven.compiler.target>
<maven.compiler.source>1.6</maven.compiler.source>
</properties> </properties>
<repositories> <repositories>
...@@ -175,18 +172,4 @@ ...@@ -175,18 +172,4 @@
<version>2.3.4</version> <version>2.3.4</version>
</dependency> </dependency>
</dependencies> </dependencies>
<build>
<plugins>
<plugin>
<artifactId>maven-compiler-plugin</artifactId>
<version>3.1</version>
<configuration>
<source>1.6</source>
<target>1.6</target>
<forceJavacCompilerUse>true</forceJavacCompilerUse>
<encoding>UTF-8</encoding>
</configuration>
</plugin>
</plugins>
</build>
</project> </project>
...@@ -28,6 +28,13 @@ ...@@ -28,6 +28,13 @@
<organizationUrl>http://www.croptrust.org</organizationUrl> <organizationUrl>http://www.croptrust.org</organizationUrl>
</developer> </developer>
</developers> </developers>
<properties>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
<java.version>1.8</java.version>
<jdk.target>1.8</jdk.target>
<jdk.source>1.8</jdk.source>
</properties>
<modules> <modules>
<module>anno-gui</module> <module>anno-gui</module>
...@@ -51,6 +58,19 @@ ...@@ -51,6 +58,19 @@
<pushChanges>false</pushChanges> <pushChanges>false</pushChanges>
</configuration> </configuration>
</plugin> </plugin>
<plugin>
<inherited>true</inherited>
<artifactId>maven-compiler-plugin</artifactId>
<version>3.6.1</version>
<configuration>
<source>${jdk.source}</source>
<target>${jdk.target}</target>
<optimize>true</optimize>
<showWarnings>true</showWarnings>
<showDeprecation>false</showDeprecation>
<failOnWarning>true</failOnWarning>
</configuration>
</plugin>
</plugins> </plugins>
</build> </build>
</project> </project>
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment